Get speakers list

Using this API, you can get speakers list for a particular event.

You have to send eventId as a query parameter. Apart from that, you can pass searchString, page, size & expand as query parameters for pagination & filter data.

This API can be used by authenticated users only, and it will require super admin, event admin, event staff level access.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Here is the description of response attributes, which returns to the form of JSON.

AttributesDescription
recordsTotalIt's contain total count of speakers
recordsFilteredIt's contain filtered records count of speakers
dataIt's contain each speaker's details.
speakerIdUnique ID of speaker.
titleIt's contain speaker title.
pronounsIt's contain speaker pronouns like HE/HIS.
firstNameRepresent speaker first name.
lastNameRepresent speaker last name.
emailRepresent speaker email ID.
sessionDTOIt's contain details of speaker session.
userIdIt's contain speaker user ID.
imageUrlIt's contain speaker image URL.
companyIt's contain speaker company name.
bioIt's contains speaker bio.
linkedInIt's contain speaker LinkedIn URL.
twitterIt's contain speaker twitter URL.
instagramIt's contain speaker instagram URL.
positionIt's contain speaker position as it's showing accordingly. Position value will be 1000,2000 and 3000 and so on.
moderatorIt returns a boolean value if the speaker is moderator in session it will return true or else false.
ticketTypesForSpeakerIt's contains details of ticket types of speaker to allow attendee access to speaker
showModeratorReturn true if allow showing moderator into speaker list or else it will return false and will not showing to speaker list.
deviceCheckedCheck status of speaker run device checker or not.
loggedInAtVEHCheck speaker previous checked in for Virtual Event Hub.
allowAttendeeAccessCheck If allow to access attendee.
allowOverrideDetailsCheck if speaker to allow overriding their details.

Here are the possible error messages, which return if any condition gets failed or required data is missing for processing.

Error CodeError Description
400The request could not be understood by the server due to malformed syntax.
401You are not authorized to view the resource.
403Accessing the resource you were trying to reach is forbidden.
404The resource you were trying to reach is not found.
4040200Event Not Found
Path Params
string
required

Event url is unique identifier for your event. E.g https://www.accelevents.com/events/demo. Here demo is the event url.

Query Params
string

Get filter session records according to search value passing in request

int32

Unique event Id used to get speakers related to event.

int32

Pages are zero indexed, thus providing 0 for page will return the first page.

int32

Size will returns number of records when call api default will returns 10 records

string
required

Expands Get Records accordingly we are passing in request param in expand value as comma separated like : TAG,TRACK,SPEAKER,currentUserRegisteredEventTicketId

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
text/plain
application/json